Debian Bug report logs - #655441
RFP: mma -- Musical MIDI Accompaniment

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joel Roth <joelz@pobox.com>

Date: Wed, 11 Jan 2012 08:09:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#655441; Package wnpp. (Wed, 11 Jan 2012 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Roth <joelz@pobox.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 11 Jan 2012 08:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joel Roth <joelz@pobox.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mma -- Musical MIDI Accompaniment
Date: Tue, 10 Jan 2012 22:01:31 -1000
Package: wnpp
Severity: wishlist
Owner: Joel Roth <joelz@pobox.com>


* Package name    : mma
  Version         : 12.01
  Upstream Author : Bob van der Poel <bob@mellowood.ca>
* URL             : http://www.mellowood.ca/mma
* License         : GPL
  Programming Lang: Python
  Description     : MMA - Musical MIDI Accompaniment

Musical MIDI Accompaniment, MMA, generates standard
MIDI files which can be used as a backup track for a
soloist. 

It was written especially for me--I am an aspiring
saxophonist and wanted a program to "play" the piano and
drums so I could practice my jazz solos. With MMA I can
create a track based on the chords in a song, transpose it
to the correct key for my instrument, and play my very bad
improvisations until they get a bit better. 

I also lead a small combo group which is always missing at
least one player. With MMA generated tracks the group can
practice and perform even if a rhythm player is missing.
This all works much better than I expected when I started to
write the program... so much better that I have used MMA
generated tracks for live performances with great success. 

Around the world musicians are using MMA for practice,
performance and in their studios. Much more than ever
imagined when this project was started!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655441; Package wnpp. (Wed, 11 Jan 2012 08:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Roth <joelz@pobox.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Jan 2012 08:27:11 GMT) Full text and rfc822 format available.

Message #10 received at 655441@bugs.debian.org (full text, mbox):

From: Joel Roth <joelz@pobox.com>
To: 655441@bugs.debian.org
Subject: Re: ITP: mma -- Musical MIDI Accompaniment
Date: Tue, 10 Jan 2012 22:19:02 -1000
On Tue, Jan 10, 2012 at 10:01:31PM -1000, Joel Roth wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Joel Roth <joelz@pobox.com>
> 
> 
> * Package name    : mma
>   Version         : 12.01
>   Upstream Author : Bob van der Poel <bob@mellowood.ca>
> * URL             : http://www.mellowood.ca/mma
> * License         : GPL
>   Programming Lang: Python
>   Description     : MMA - Musical MIDI Accompaniment
> 
> Musical MIDI Accompaniment, MMA, generates standard
> MIDI files which can be used as a backup track for a
> soloist. 

This package was not maintained, and was                                           
dropped from Debian in Sept 2010.                                                  
                                                                                   
This ITP expresses the submitter's intention to                                    
package the newest upstream version 12.01                                          
for Debian, and to maintain this package                                           
over the long term.                                                                
                                                                                   
Joel Roth     
 
-- 
Joel Roth




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655441; Package wnpp. (Wed, 11 Jan 2012 08:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Roth <joelz@pobox.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Jan 2012 08:42:17 GMT) Full text and rfc822 format available.

Message #15 received at 655441@bugs.debian.org (full text, mbox):

From: Joel Roth <joelz@pobox.com>
To: 655441@bugs.debian.org
Subject: Re: ITP: mma -- Musical MIDI Accompaniment
Date: Tue, 10 Jan 2012 22:40:07 -1000
Package: wnpp

On Tue, Jan 10, 2012 at 10:01:31PM -1000, Joel Roth wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Joel Roth <joelz@pobox.com>
> 
> 
> * Package name    : mma
>   Version         : 12.01
>   Upstream Author : Bob van der Poel <bob@mellowood.ca>
> * URL             : http://www.mellowood.ca/mma
> * License         : GPL
>   Programming Lang: Python
>   Description     : MMA - Musical MIDI Accompaniment
> 
> Musical MIDI Accompaniment, MMA, generates standard
> MIDI files which can be used as a backup track for a
> soloist. 

This package was not maintained, and appears to have been
dropped from Debian in Sept 2010.                                                  
                                                                                   
This ITP expresses the submitter's intention to package the
newest upstream version 12.01 for Debian, and to maintain
this package over the long term.

Any discussion WRT to resuscitating this package, is invited
by any interested parties, especially those involved with
packaging Python or multimedia applications for Debian.

Due to the multiplicity options for packaging Python apps
(distutils and friends) assistance of those with experience
in this area is requested to create a setup.py and modify the
app accordingly.

Joel Roth         

-- 
Joel Roth




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joel Roth <joelz@pobox.com>:
Bug#655441; Package wnpp. (Mon, 27 May 2013 13:44:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joel Roth <joelz@pobox.com>. (Mon, 27 May 2013 13:44:04 GMT) Full text and rfc822 format available.

Message #20 received at 655441@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 655441@bugs.debian.org
Cc: control@bugs.debian.org
Subject: mma: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:22 +0200
retitle 655441 RFP: mma -- Musical MIDI Accompaniment
noowner 655441
tag 655441 - pending
thanks

Hi,

This is an automatic email to change the status of mma back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting mma, please send a mail to
<control@bugs.debian.org> with:

 retitle 655441 ITP: mma -- Musical MIDI Accompaniment
 owner 655441 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <655441@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: mma -- Musical MIDI Accompaniment' from 'ITP: mma -- Musical MIDI Accompaniment' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:49:19 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Joel Roth <joelz@pobox.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:49:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:21:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.